﻿// -----------------------------------------------------------------------
// <copyright file="ItemModel.cs" company="Microsoft">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace RadTreeView_Filter
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Collections.ObjectModel;
    
    public class ItemModel
    {
        public ItemModel()
        {
            this.Children = new ObservableCollection<ItemModel>();
            this.Children.CollectionChanged += new System.Collections.Specialized.NotifyCollectionChangedEventHandler(Children_CollectionChanged);
            this.IsRemovedByFilter = false;
        }

        void Children_CollectionChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
        {
            if (e.Action == System.Collections.Specialized.NotifyCollectionChangedAction.Add)
            {
                ItemModel curr = (e.NewItems[0] as ItemModel);
                curr.parentModel = this;
                curr.levelIndex = curr.parentModel.levelIndex + 1; 
            }
        }

        public int levelIndex = 0;
        public ItemModel parentModel;
        public bool IsRemovedByFilter;
        public string Text { get; set; }
        public ObservableCollection<ItemModel> Children
        {
            get;
            set;
        }
    }
}
